//
//  SignatureViewController.swift
//  ZoopDemoAppiOS
//
//  Created by Carla Galdino Wanderley on 16/11/17.
//  Copyright © 2017 Zoop. All rights reserved.
//

import UIKit
import EMVConnectiOS

class SignatureViewController: UIViewController {

    @IBOutlet weak var signatureView: ZoopSignatureView!
    @IBOutlet weak var captureSignatureButton: UIButton!
    @IBOutlet weak var cleanSignatureButton: UIButton!
    
    var lastSignatureString:String?
    
    override func viewDidLoad() {
        super.viewDidLoad()

        // Do any additional setup after loading the view.
    }
    
    @IBAction func clearSignatureButtonDidTap(_ sender: Any) {
        self.signatureView.clear()
    }
    
    @IBAction func captureSignatureDidTap(_ sender: Any) {
        lastSignatureString = self.signatureView.getSignatureData()
    }
    
    @IBAction func retrieveLastSignature(_ sender: Any) {
        if let signature = self.lastSignatureString {
                    self.signatureView.setSignatureData(sSignatureData: signature)
        }
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    

    /*
    // MARK: - Navigation

    // In a storyboard-based application, you will often want to do a little preparation before navigation
    override func prepare(for segue: UIStoryboardSegue, sender: Any?) {
        // Get the new view controller using segue.destinationViewController.
        // Pass the selected object to the new view controller.
    }
    */

}
